/**
 * @license Copyright (c) 2014-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */
import { InlineEditor } from '@ckeditor/ckeditor5-editor-inline';
import { Alignment } from '@ckeditor/ckeditor5-alignment';
import { Subscript, Superscript, Underline } from '@ckeditor/ckeditor5-basic-styles';
import type { EditorConfig } from '@ckeditor/ckeditor5-core';
import { Essentials } from '@ckeditor/ckeditor5-essentials';
import { AutoImage, Image, ImageInsert, ImageResize, ImageToolbar, ImageUpload } from '@ckeditor/ckeditor5-image';
import { List } from '@ckeditor/ckeditor5-list';
import { Paragraph } from '@ckeditor/ckeditor5-paragraph';
import { Table } from '@ckeditor/ckeditor5-table';
import { Undo } from '@ckeditor/ckeditor5-undo';
import { Base64UploadAdapter } from '@ckeditor/ckeditor5-upload';
declare class Editor extends InlineEditor {
    static builtinPlugins: (typeof Alignment | typeof AutoImage | typeof Base64UploadAdapter | typeof Essentials | typeof Image | typeof ImageInsert | typeof ImageResize | typeof ImageToolbar | typeof ImageUpload | typeof List | typeof Paragraph | typeof Subscript | typeof Superscript | typeof Table | typeof Underline | typeof Undo)[];
    static defaultConfig: EditorConfig;
}
export default Editor;
